Summary:	The Coyotl library defies easy classification -- much like it's namesake
Name:		libcoyotl
Version:	3.1.0
Release:	8
License:	GPL
Group:		Libraries
URL:		http://www.coyotegulch.com/products/libcoyotl/index.html
Source0:	http://www.coyotegulch.com/distfiles/%{name}-%{version}.tar.gz
# Source0-md5:	5c1d9cfce494f123f52c399b39925bdb
Patch0:		%{name}-gcc.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dos2unix
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Coyotl library defies easy classification -- much like it's
namesake. It collects several C++ tools that have proven useful in
many of my programs, but which aren't "big enough" to warrant an
individual library.

%package devel
Summary:	libcoyotl headers and documentation
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libcoyotl libraries headers and documentation

%package static
Summary:	libcoyotl static libraries
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
libcoyotl static libraries

%prep
%setup -q
dos2unix -o libcoyotl/sortutil.h
%patch0 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/lib*.la
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%dir %{_docdir}/%{name}
%dir %{_docdir}/%{name}/api/
%{_docdir}/%{name}/api/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%changelog
* Fri Nov 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcoyotl.git;a=log;h=master

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0be24e3
- consistent patch level

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6bc455f
- added more gcc fixes, renamed patch
- rel 8

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 47fafc7
- release 7 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ae93a8
- release 6 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 0e37ec4
- regenerate ac stuff (BR: ac,am,lt)
- release 5 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0398f84
- release 4

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1081271
- release 3

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> 67d9268
- BR: libpng-devel, libstdc++-devel

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7031332
- release 2

* Sat Jul 26 2008 blekot <blekot@pld-linux.org> 5e73c20
- missing dir

* Sat Jul 26 2008 blekot <blekot@pld-linux.org> d90a71b
- added dos2unix to convert patched file to unix format

* Sat Jul 26 2008 blekot <blekot@pld-linux.org> 99f8662
- correct patch

* Sat Jul 26 2008 blekot <blekot@pld-linux.org> d37c529
- now builds with gcc 4.3

* Sat Jul 26 2008 blekot <blekot@pld-linux.org> eb0e260
- fix gcc 4.3 build

* Mon Jul 14 2008 blekot <blekot@pld-linux.org> 0a9a4d8
- proper source0, md5

* Mon Jul 14 2008 blekot <blekot@pld-linux.org> 988ba8f
- new
- adaptarized
- NFY (pl)

